Skip to content

List calendar entries

GET
/api/v1/content/calendar
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/content/calendar?limit=50&offset=0' \
--header 'X-API-Key: <X-API-Key>'

List content calendar entries.

channel
Any of:
string
status
Any of:
string
limit
Limit
integer
default: 50 >= 1 <= 200
offset
Offset
integer
0

Successful Response

Media typeapplication/json
CalendarEntryListResponse

Response body for listing calendar entries.

object
entries
required
Entries
Array<object>
CalendarEntryResponse

Response body for a single calendar entry.

object
autonomy_level
Autonomy Level
integer
default: 2
channel
required
Channel
string
content_ref
Any of:
string
content_type
required
Content Type
string
created_at
required
Created At
string format: date-time
id
required
Id
string
performance_metrics
Performance Metrics
object
key
additional properties
any
published_at
Any of:
string format: date-time
scheduled_for
required
Scheduled For
string format: date-time
status
required
Status
string
target_keywords
Target Keywords
Array
tenant_id
required
Tenant Id
string
title
required
Title
string
topic
Topic
string
""
updated_at
required
Updated At
string format: date-time
total
required
Total
integer
Example
{
"entries": [
{
"autonomy_level": 2,
"topic": ""
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}